Subject: Re: PKARC Serious Squash Bug
From: [email-masked] ( Phil Katz)
Date: 20 Sep 87 08:41:02 GMT
Newsgroups: comp.bugs.misc,comp.sys.ibm.pc

I have been able to confirm the bug in PKXARC 3.5 if a file
(uncompressed) starts with 0x90, and the file is Squashed.  To
date, I have received two direct reports of this problem.  For
trivia buffs, this bug was also present in PKXARC 3.4, and never
reported.

If a file starts with a 0x90 character (144 decimal) and is
Squashed, PKXARC (and PKXARCjr and PKSFX) will not output this
character, and will report the file fails CRC check.  The
resulting extracted file will be exatcly 1 byte shorter than it
should be (it is missing the 0x90 character at the beginning).
Except for missing the first character, the extracted file will
compare exactly with the original.  Re-inserting a 0x90 character
at the beginning of the extracted file will restore it to the
original file.

This problem can be fixed by the applying the following
patches to the PKXARC/PKXARCjr/PKSFX version 3.5 programs:

debug pkxarc.com
e 1d0b 8b 3e c8 f4 80 3e d0 f5 0c 75 06 e8 a9 06 eb 1a 90 aa
w
q

debug pkxarcjr.com
e 1c92 8b 3e aa f5 80 3e b2 f6 0c 75 06 e8 a8 06 eb 1a 90 aa
w
q

debug pksfx.pgm
e 112 8c f5
e 16a4 8b 3e 2a f7 80 3e 24 f8 0c 75 06 e8 17 04 eb 1a 90 aa
w
q

>Phil Katz>

Exec-PC BBS, Shorewood WI ......... 414-964-5160, 24 hours, 1200/2400 baud
RBBS of Chicago ................... 312-352-1035, 24 hours, 1200/2400 baud
Sound of Music BBS, Oceanside NY .. 516-536-8723, 24 hours, 1200/2400 baud
PKWARE BBS ........................ 414-352-7176, 24 hours, 1200/2400 baud
USENET ............................ [email-masked]
BIX ............................... Username: philkatz
U.S. Mail ......................... 7032 N. Ardara Ave., Glendale, WI 53209